@import "locations.css";

h1 {
    font-family: Work Sans ExtraBold, Helvetica, sans-serif;
    font-size: 45px;
}

h1.banner-title {
    width: 54%;
}

div.location-links {
    width: 60%;
    margin: auto;
    font-size: 20px;
    padding: 4% 0;
    color: #dbd4cc;
}

div.location-links a {
    color: #dbd4cc;
    margin-right: -5px;
}

#content > div > div.good-things {
    font-size: 18px;
    background: #e3e3e3;
    padding: 40px 0 20px;
}

div.good-things div.row > div {
    padding: 0 4em;
}

div.good-things p {
    padding-top: 10px;
    line-height: 1.2;
}

div.good-things img {
    max-height: 80px;
}

div.repair-icons {
    padding-bottom: 40px;
}

div.repair-icons a {
    font-size: 18px;
}

div.repair-icons div.repair-icon {
    padding: 20px;
    width: 270px;
    min-height: 360px;
    background: #f6f6f6;
    border: 1px solid #d6d6d6;
}

div.repair-icons div.row:last-child {
    padding-top: 30px;
}

div.repair-icons div.repair-icon p.repair-link {
    padding: 20px 0 10px;
}

div.repair-icons div.repair-icon p:last-child {
    text-align: left;
}

div.yelp-reviews {
    background-size: cover;
}

div.yelp-reviews-data h1 {
    font-size: 45px;
}

div.yelp-reviews p.five-stars {
    display: none;
}

div.yelp-reviews-data p.subtext {
    margin-top: -2%;
}

div.yelp-reviews-users {
    margin: 0 auto;
    padding-top: 3%;
}

div.yelp-user {
    position: relative;
    text-align: center;
    margin-bottom: 3%;
}

div.yelp-user div.user-image {
    position: absolute;
    height: 100%;
    top: 0;
}

div.yelp-user div.user-data {
    text-align: left;
    margin-left: 200px;
    width: 42%;
}

div.yelp-user div.user-data p.font-extra {
    font-size: 22px;
}

div.yelp-user div.user-data p.user_review {
    margin-top: 2%;
    font-size: 20px;
}

div.free-diagnostic {
    padding: 3% 0 1%;
}

div.free-diagnostic h5 {
    font-size: 32px;
}

div.repair-button {
    padding-bottom: 5%;
}

div.how-it-works {
    font-size: 20px;
}

div.how-it-works h1 {
    padding-bottom: 2%;
}

div.how-it-works p {
    margin: 0;
}

div.how-it-works div.image-container {
    width: 200px;
    height: 200px;
    margin: 20px auto;
    padding: 12% 0;
    border-radius: 50%;
    border: 2px solid #333;
}

div.how-it-works div.row > div:nth-child(2) img {
    margin-top: 5%;
}

div.locations {
    padding-top: 0 !important;
}

div.video-container {
    background-size: cover;
}

div.video-container div.video {
    width: 75%;
    height: 80%;
    margin: auto;
}

div.video-container div.video iframe {
    width: 100%;
    height: 100%;
}

div.descriptions p.font-extra {
    font-size: 20px;
}


/**     RESPONSIVE      **/
@media all and (min-width: 1601px) {
    div.location-links {
        /*padding: 4.5em 0;*/
    }

    div.repair-icons div.repair-icon {
        width: 300px;
    }

    div.free-diagnostic {
        padding: 2% 0;
    }

    div.video-container div.video {
        height: 85%;
    }

}

@media all and (max-width: 1540px) {
    h1.banner-title {
        font-size: 45px;
    }

    div.container {
        width: 78%;
    }
}

@media all and (max-width: 1480px) {
    div.yelp-reviews h1 > img {
        display: block;
        margin: 10px auto;
    }

    div.yelp-reviews-data p.subtext {
        margin-top: 0;
    }
}

@media all and (max-width: 1382px) {
    h1.banner-title {
        font-size: 45px;
    }
}

@media all and (max-width: 1366px) {
    div.yelp-user div.user-data {
        width: 45%;
    }
}

@media all and (max-width: 1288px) {
    h1, h1.banner-title {
        font-size: 40px;
    }

    h1.banner-title {
        padding-top: 1.5em;
    }

    div.container {
        width: 80%;
    }

    div.repair-icons div.repair-icon {
        width: 250px;
    }

    div.yelp-reviews h1.banner-title {
        width: 80%;
    }

    div.yelp-user div.user-data {
        width: 60%;
    }
}

@media all and (max-width: 1140px) {
    h1.banner-title {
        font-size: 36px;
    }

    div.container {
        width: 92%;
    }

    div.location-links {
        width: 80%;
    }
}

/**     MOBILE      **/

@media all and (max-width: 1023px) {
    #navigation {
        height: 100% !important;
    }

    h1 {
        font-size: 32px;
    }

    h1.banner-title {
        width: 90%;
        font-size: 50px;
        padding-top: 0.5em;
    }

    div.location-links {
        width: 80%;
        margin: auto;
        display: inline-block;
        padding: 8% 0;
        padding-left: 10%;
    }

    div.location-links p,
    div.location-links > div {
        display: inline-block;
        float: left;
    }

    div.location-links > div {
        margin-left: 10px;
    }

    div.device-repairs h1{
        width: 72%;
        margin: auto;
    }

    div.repair-icons div.repair-icon {
        width: 50%;
        min-height: auto;
        display: block;
        float: none;
        margin: 0 auto 24px;
    }

    div.repair-icons div.repair-icon p:last-child {
        text-align: center;
    }

    div.repair-icons div.row:last-child {
        padding-top: 0;
    }

    div.yelp_logo {
        display: none;
    }

    div.yelp-reviews h1.banner-title {
        width: 60%;
        margin-bottom: 30px;
    }

    div.yelp-user div.user-image {
        height: auto;
        left: 15%;
    }

    div.yelp-user div.user-data {
        text-align: left;
        margin-left: 200px;
    }

    div.yelp-reviews p.five-stars {
        display: block;
        padding: 0.5em 0 1.2em;
    }

    div.good-container {
        width: 100%;
    }

    div.image-container {
        overflow: hidden;
        padding-top: 30px!important;
    }

    div.good-things div.row > div {
        padding: 1em;
    }

    div.good-things p{
        font-size: 18px !important;
    }

    div.how-it-works div.row > div:first-child > p.font-bold {
        font-size: 18px;
    }

    div.how-it-works div.works-title {
        height: 60px;
    }

    div.how-it-works div.image-container {
        width: 160px;
        height: 160px;
        margin-top: 3em;
    }

    div.video-container > h1 {
        font-size: 27px;
        margin: auto;
        width: 60%;
    }

    div.video-container div.video {
        width: 80%;
    }
}

@media all and (max-width: 840px) {
    h1.banner-title {
        font-size: 45px;
    }
}

@media all and (max-width: 768px) {
    h1.banner-title {
        width: 80%;
        font-size: 36px;
    }
}

@media all and (max-width: 700px) {
    h1.banner-title {
        font-size: 32px;
    }

    div.location-links {
        padding-left: 0;
    }

    div.location-links p, div.location-links > div {
        display: block;
        float: none;
    }
}

@media all and (max-width: 600px) {
    h1.banner-title {
        font-size: 27px;
    }

    div.location-links {
        width: 72%;
    }

    div.repair-icons div.repair-icon {
        width: 60%;
    }

    div.yelp-user {
        margin-bottom: 10%;
    }

    div.yelp-user div.user-image {
        position: relative;
        left: 0;
    }

    div.yelp-user div.user-data {
        margin: 0;
        width: 100%;
        text-align: center;
    }

    div.yelp-user div.user-data p.user_review {
        font-size: 16px;
    }

    div.yelp-reviews-data h1 {
        font-size: 28px;
    }

    div.how-it-works div.image-container {
        margin-top: 1em;
    }

    div.video-container div.video {
        height: 60%;
    }

    div.video-container > h1 {
        width: 80%;
    }

    div.free-diagnostic h5 {
        font-size: 27px;
    }
}

@media all and (max-width: 425px) {
    h1 {
        font-size: 30px;
        line-height: 1.4;
    }

    h1.banner-title {
        font-size: 24px;
    }

    div.location-links {
        width: 100%;
        padding: 2em 0;
    }

    div.location-links a {
        display: inline-block;
        padding-bottom: 5px;
    }

    div.repair-icons div.repair-icon {
        width: 80%;
    }

    div.video-container div.video {
        height: 45%;
    }

    div.free-diagnostic h5 {
        font-size: 20px;
    }
}

@media all and (max-width: 375px) {
    h1 {
        font-size: 27px;
        line-height: 1.2;
    }

    h1.banner-title {
        font-size: 22px;
    }

    div.location-links {
        width: 50%;
    }

    div.location-links a {
        font-size: 18px;
    }

    div.repair-icons div.repair-icon {
        width: 90%;
    }

    div.yelp-reviews-data h1 {
        font-size: 25px;
    }

    div.yelp-user div.user-data p.font-extra {
        font-size: 18px;
    }

    div.free-diagnostic h5 {
        font-size: 18px;
    }

    div.video-container div.video {
        height: 42%;
    }
}

@media all and (max-width: 320px) {
    div.container {
        width: 80%;
    }

    div.location-links {
        width: 54%;
    }

    h1 {
        line-height: 1.2;
    }

    div.video-container div.video {
        height: 36%;
    }

    div.free-diagnostic h5 {
        font-size: 15px;
    }
}